org.mariadb.jdbc.internal.packet.send

## Class SendPrepareParameterPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.packet.send.SendPrepareParameterPacket

    public class SendPrepareParameterPacket
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SendPrepareParameterPacket()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `send(int parameterIndex, LongDataParameterHolder parameter, int statementId, OutputStream os)` Send stream to database.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SendPrepareParameterPacket

    public SendPrepareParameterPacket()

### Method Detail

#### send

    public static void send(int parameterIndex,
                            LongDataParameterHolder parameter,
                            int statementId,
                            OutputStream os)
                     throws IOException

Send stream to database.

Parameters:
  `parameterIndex` - parameter index
  `parameter` - parameter
  `statementId` - statement Id
  `os` - database socket
Throws:
  `IOException` - if a connection error occur